﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Diagnostics;
using System.Threading;
using System.Text;
using Styx;
using Styx.WoWInternals;
using Styx.Plugins.PluginClass;
using Styx.Helpers;
using Styx.Logic.Pathing;
using Styx.Combat.CombatRoutine;
using Styx.Logic;
using Styx.Logic.Combat;
using Styx.WoWInternals.WoWObjects;
using System.Drawing;

namespace NerdyAlert
{
    public class NerdyAlert : HBPlugin
    {
        public override string Name { get { return "NerdyAlert v0.1"; } }
        public override string Author { get { return "wownerds"; } }
        public override Version Version { get { return _version; } }
        private readonly Version _version = new Version(0, 1);

        public override void Initialize()
        {
            base.Initialize();
            Logging.Write(Color.Lime, "[NerdyAlert]: Enabled!");
        }
        // DO NOT TOUCH ANYTHING ABOVE THIS LINE!!!!
        /// <summary>
        /// Set minimum bag slots here
        /// </summary>
        int MinBagSlots = 2;
        // DO NOT TOUCH ANYTHING BELOW THIS LINE!!!!

        bool haveposted = false;
        bool haveplayed = false;

        public override void Pulse()
        {
            if (StyxWoW.Me.FreeBagSlots > MinBagSlots)
            {
                if (haveposted == true)
                {
                    haveposted = false;
                    haveplayed = false;
                }
            }
            else
            {
                if (haveplayed == false)
                {
                    System.Media.SoundPlayer myPlayer = new System.Media.SoundPlayer();
                    myPlayer.SoundLocation = Logging.ApplicationPath + @"\Plugins\NerdyAlert\sounds\siren1.wav";
                    myPlayer.Play();
                    haveplayed = true;
                }
                if (haveposted == false)
                {
                    Logging.Write(Color.Red, "[NerdyAlert]: Bags are full!");
                    haveposted = true;
                }
            }
        }
    }
}